For the complete documentation index, see llms.txt. This page is also available as Markdown.

List ACL rules

get
Authorizations
defguard_sessionstringRequired
Query parameters
pageinteger · int32Optional

Page number. Defaults to 1.

per_pageinteger · int32Optional

Number of items per page, from 1 to 100. Defaults to 50.

Responses
200

Paginated list of ACL rules.

application/json

Envelope returned by paginated endpoints.

get/api/v1/acl/rule
GET /api/v1/acl/rule HTTP/1.1
Accept: */*
{
  "data": [
    {
      "addresses": "text",
      "aliases": [
        1
      ],
      "all_locations": true,
      "allow_all_groups": true,
      "allow_all_network_devices": true,
      "allow_all_users": true,
      "allowed_groups": [
        1
      ],
      "allowed_network_devices": [
        1
      ],
      "allowed_users": [
        1
      ],
      "any_address": true,
      "any_port": true,
      "any_protocol": true,
      "denied_groups": [
        1
      ],
      "denied_network_devices": [
        1
      ],
      "denied_users": [
        1
      ],
      "deny_all_groups": true,
      "deny_all_network_devices": true,
      "deny_all_users": true,
      "destinations": [
        1
      ],
      "enabled": true,
      "expires": null,
      "id": 1,
      "locations": [
        1
      ],
      "modified_at": "2026-01-01T00:00:00.000Z",
      "modified_by": "text",
      "name": "text",
      "parent_id": null,
      "ports": "text",
      "protocols": [
        1
      ],
      "state": "New",
      "use_manual_destination_settings": true
    }
  ],
  "pagination": {
    "current_page": 1,
    "next_page": null,
    "page_size": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Last updated

Was this helpful?